# Patch Inference Endpoint Tags

`PATCH /api/2.0/serving-endpoints/{name}/tags`

Used to batch add and delete tags from a serving endpoint with a single API call.

API scopes: model-serving

## Path parameters

- `name` (string, optional)
  The name of the serving endpoint who's tags to patch. This field is required.
  Example: `feed-ads`
  Constraints: `[ 1 .. 63 ] characters`

## Request body

- `add_tags` (array of object, optional)
  List of endpoint tags to add
  - `key` (string, optional)
    Key field for a serving endpoint tag.
    Example: `team`
  - `value` (string, optional)
    Optional value field for a serving endpoint tag.
    Example: `data science`
- `delete_tags` (array of string, optional)
  List of tag keys to delete

## Returns

- `tags` (array of object, optional)
  - `key` (string, optional)
    Key field for a serving endpoint tag.
    Example: `team`
  - `value` (string, optional)
    Optional value field for a serving endpoint tag.
    Example: `data science`

## Response

```json
[
  {
    "key": "team",
    "value": "data science"
  }
]
```

